GET https://webapi.mymarketing.co.il/api/Pushcampaignreport?SendType={SendType}&SearchTerm={SearchTerm}&FromDate={FromDate}&ToDate={ToDate}&Page={Page}&Limit={Limit}
Get Push campaigns reports . You can get Push campaigns reports filtered (you will get the last 20 campaigns in the last 3 months by default)
Request Information
URI Parameters
Name
Description
Type
Additional information
send_type
integer
search_term
string
from_date
date
to_date
date
page
integer
Range: inclusive between 1 and 2147483647
limit
integer
Range: inclusive between 1 and 100
Body Parameters
None.
Response Information
Resource Description
Name
Description
Type
Additional information
totalitems
integer
count
integer
Response Formats
application/json, text/json
Sample:
{
"totalitems": 2,
"count": 2,
"campaignreportslist": [
{
"campaignid": "efc8f871-0afb-4cd1-9b34-42758220854c",
"campaignname": "sample string 2",
"sentdate": "2016-12-24T14:12:12",
"senttype": 1,
"totalclicks": 3,
"clickers": 4,
"unsubscribe": 5,
"failed": 6,
"failedPercentage": 7.1,
"totalsent": 8,
"opens": 9,
"openedPercentage": 10.1,
"totalDevices": 11
},
{
"campaignid": "efc8f871-0afb-4cd1-9b34-42758220854c",
"campaignname": "sample string 2",
"sentdate": "2016-12-24T14:12:12",
"senttype": 1,
"totalclicks": 3,
"clickers": 4,
"unsubscribe": 5,
"failed": 6,
"failedPercentage": 7.1,
"totalsent": 8,
"opens": 9,
"openedPercentage": 10.1,
"totalDevices": 11
}
]
}
application/xml, text/xml
Sample:
<ApiPushCampaignReportInfoList xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<TotalItems>2</TotalItems>
<Count>2</Count>
<pushCampaignReportsInfo>
<ApiPushCampaignReportInfo>
<Id>efc8f871-0afb-4cd1-9b34-42758220854c</Id>
<Name>sample string 2</Name>
<SendDate>2016-12-24T14:12:12</SendDate>
<SendType>Regular</SendType>
<TotalClicks>3</TotalClicks>
<Clickers>4</Clickers>
<Unsubscribes>5</Unsubscribes>
<Failed>6</Failed>
<ErrorRate>7.1</ErrorRate>
<TotalSent>8</TotalSent>
<TotalOpens>9</TotalOpens>
<OpenedPercentage>10.1</OpenedPercentage>
<TotalDevices>11</TotalDevices>
</ApiPushCampaignReportInfo>
<ApiPushCampaignReportInfo>
<Id>efc8f871-0afb-4cd1-9b34-42758220854c</Id>
<Name>sample string 2</Name>
<SendDate>2016-12-24T14:12:12</SendDate>
<SendType>Regular</SendType>
<TotalClicks>3</TotalClicks>
<Clickers>4</Clickers>
<Unsubscribes>5</Unsubscribes>
<Failed>6</Failed>
<ErrorRate>7.1</ErrorRate>
<TotalSent>8</TotalSent>
<TotalOpens>9</TotalOpens>
<OpenedPercentage>10.1</OpenedPercentage>
<TotalDevices>11</TotalDevices>
</ApiPushCampaignReportInfo>
</pushCampaignReportsInfo>
</ApiPushCampaignReportInfoList>